sims = 10000;
testSize = [100 250 500 750 1000 1250 1500];
alphaVar = [0.10 0.05 0.01];

distr = zeros(length(alphaVar), length(testSize), sims);

for t=1:length(testSize)
    
    disp(testSize(t));
    
    for a=1:length(alphaVar)

        for i=1:sims
            [returns, varSeries] = generateSeries(alphaVar(a), testSize(t));
            distr(a, t, i) = testWeibullDisc(returns, varSeries, alphaVar(a), [], 2);
        end
        
        distrMean = distr(a, t, :);
        distrMean = distrMean( find(~isnan(distrMean) ));
        distrMean = distrMean( find(distrMean ~= Inf) );
        
        distrMean2(a, t) = mean(distrMean);
        
    end
    
end

