
alphaVaRs = [0.01 0.05 0.10];
simulations = 50002;

%% Test sizes 100 - 1500
testSizes = [100 250 500 750 1000 1250 1500];

%% Test sizes asymptotic
%testSizes = [300000];

%testSizes = [100000 300000];

%% All tester
%fileNames = {'testChristoffersen', 'testKupiec', 'testWeibullCon', 'testWeibullDisc', 'testDQLogInd', 'testDQLogInt', 'testDQLogCC','testChristoffersenCC', 'testWeibullConCC', 'testWeibullDiscCC', 'testBinomial', 'testGeometricCC', 'testWeibullDiscHaasCC', 'testDQLogCC1', 'testDQCC'};

%% Testene vi ble enige om  inkludere
%fileNames = {'testDQCC', 'testDQLogCC'};
fileNames = {'testWeibullConCC', 'testWeibullDiscCC', 'testWeibullDiscHaasCC', 'testGeometricCC'};
%fileNames = {'testKupiec', 'testChristoffersenCC', 'testDQCC', 'testDQLogCC', 'testWeibullConCC', 'testWeibullDiscCC', 'testWeibullDiscHaasCC', 'testGeometricCC'};

%fileNames = {'testDQLogCC'};

totalTime = tic;

for i = 1:length(fileNames)
    testFunctionName = fileNames{i};
    distrTime = tic;
    generateDistributions(testFunctionName, alphaVaRs, testSizes, simulations);
    toc(distrTime)
    toc(totalTime)
end

toc(totalTime)
