% returns, varSeries, alphaVar, finiteSampleDistribution, returnTestStatistics
testFunctionName = 'testDQLogInd';
alphaVaR = 0.01;
testSize = 100;
simulations = 10000;

distribution = zeros( simulations, 1 );

fh = str2func(testFunctionName);

for i=1:simulations
    [returns, varSeries] = generateSeries(alphaVaR, testSize);    
    breaches = size(find(returns < -varSeries), 1);
    nextStat = fh(returns, varSeries, alphaVaR, [], 1);
    distribution(i) = nextStat;
    if(nextStat < 0)
        disp('found one')
    end
end

