function [ returns, varSeries ] = generateSeries( alphaVar, testSize )
%GENERATESERIES Summary of this function goes here
%   Detailed explanation goes here

%returns = rand(testSize, 1) + (1 - sqrt(2*alphaVar));
%varSeries = - rand(testSize, 1);

% Using normal distribution
%{
mu = -sqrt(2)*norminv(alphaVar,0,1);
returns = normrnd(0,1,testSize,1);
varSeries = normrnd(mu,1,testSize,1);
%}

% Using appendix B
mu = normrnd(0, 1, testSize, 1);
returns = normrnd(0, 1,testSize, 1) + mu;
varSeries = -mu - norminv(alphaVar,0,1);


end