function [ pValue ] = testWeibull(returns, varSeries, lookback, significancelevel, weibullDistribution, testingUpperQuantile)
%BACKTESTWEIBULL Summary of this function goes here
%   Detailed explanation goes here
%
%Distributions:
%   lookbackTable = [100, 200, 500];
%       significanceTable = [0.10, 0.05, 0.01];
%


%distr = load('betaDistributions.mat');
%distributions = distr.distributions;

distributions = weibullDistribution;

distirbutionToUse = [];

[~, durations] = breaches(returns, varSeries, lookback, testingUpperQuantile);

[parmhat, parmci] = wblfit(durations);


if lookback < 150 % 100
    if significancelevel < 0.015 % 0.01
        distributionToUse = distributions(:, 3);
    elseif significancelevel < 0.055 % 0.05
        distributionToUse = distributions(:, 2);
    elseif significancelevel < 0.15 % 0.1
        distributionToUse = distributions(:, 1);
    end
elseif lookback < 250 % 200
    if significancelevel < 0.015 % 0.01
        distributionToUse = distributions(:, 6);
    elseif significancelevel < 0.055 % 0.05
        distributionToUse = distributions(:, 5);
    elseif significancelevel < 0.15 % 0.1
        distributionToUse = distributions(:, 4);
    end
elseif lookback < 550 % 500
    if significancelevel < 0.015 % 0.01
        distributionToUse = distributions(:, 9);
    elseif significancelevel < 0.055 % 0.05
        distributionToUse = distributions(:, 8);
    elseif significancelevel < 0.15 % 0.1
        distributionToUse = distributions(:, 7);
    end
end

betaHat = parmhat(2);

pValue = 2*min(size(find(distributionToUse <= betaHat),1), size(find(distributionToUse >= betaHat), 1))/size(distributionToUse, 1);

end
