function [ pValue ] = testWeibullCon_2(returns, varSeries, alphaVar, finiteSampleDist, testStatisticsOutput)
%BACKTESTWEIBULL Summary of this function goes here
%   Detailed explanation goes here

breaches = find(returns < - varSeries);
durations = diff(breaches);

[parmhat, parmci] = wblfit(durations);
betaHat = parmhat(2);

if(testStatisticsOutput == 1) 
    pValue = betaHat;
    return
else
    if(length(finiteSampleDist) ~= 0) pValue = 2*FindP(betaHat,finiteSampleDist);
    else
        SEbetaHat = (betaHat - parmci(1,2))/norminv(0.05/2);
        pValue = normcdf(-abs((betaHat-1.07)/SEbetaHat),0,1)*2;
    end
end
%pValue = 2*min(size(find(distributionToUse <= betaHat),1), size(find(distributionToUse >= betaHat), 1))/size(distributionToUse, 1);
end
