function [ pValues ] = getPValues(functionName, underlyingProcess, VaRProcess, alphaVaR, v, phi, dataLength, distribution, lookback, sims, generateFromUniform)
%GETPVALUE Summary of this function goes here
%   Detailed explanation goes here

    pVals = zeros(sims, 1);
    fh = str2func(functionName);
    
    for i = 1:length(pVals) 
        pVal = nan;
        while(isnan(pVal))
            %disp(i);
            if(generateFromUniform == 1)
                [returns var] = generateSeries(alphaVaR, dataLength);
            else
                [returns var] = generateData(underlyingProcess, VaRProcess, alphaVaR, dataLength, lookback, v, phi);
            end
            
            pVal = fh(returns, var, alphaVaR, distribution, 0);
        end
        
        pVals(i) = pVal;
    end
    
    pValues = pVals;
end

