function [ storageCells ] = getRunResults(withDistributions)
%GETRUNRESULTS Summary of this function goes here
%   Detailed explanation goes here

    if nargin < 1
        withDistributions = 0;
    end

    % Find all files matching criteria
    filePath = [fileparts(which('getRunResults')) , '/storedRuns/'];
    filePaths = [filePath, 'storageCell_Run_*.mat'];
    fileSearch = dir(filePaths);
    
    storageCells = cell( length(fileSearch), 1);
    
    for i=1:length(fileSearch)
        
        S = load([filePath, fileSearch(i).name]);
        
        if withDistributions
            storageCells{i} = S.storageCell;
        else
            storageCell = S.storageCell;
            
            for j=1:size(storageCell,1)
                
                for k=1:size(storageCell{j,1},1)
                    
                    for l=1:size(storageCell{j,1},2)
                        
                        storageCell{j,1}{k,l, 3} = [];
                        
                    end
                    
                end                               
            
            end
            
            storageCells{i} = storageCell;
                        
        end
                
    end
    
    
end

