breaches = xlsread('Properties of VaR-series.xlsx', 'breaches', 'C4:ED1548');

sizeBreaches = size(breaches, 2);
durations = {};

for i = 1:sizeBreaches
    model = breaches(:,i);
    indices = find(model == 1);
    modelDurations = diff(indices);
    durationSize = size(modelDurations, 1);
    for j = 1:durationSize
        durations(j, i) = {modelDurations(j)};
    end      
end

xlswrite('Properties of VaR-series.xlsx', durations, 'Durations', 'C4');





