load('returns', '-mat')

USDJPY = USDJPY(find(~isnan(USDJPY)));
OIL = OIL(find(~isnan(OIL)));
SnP = SnP(find(~isnan(SnP)));


%%NON-OVERLAPPING ESTIMATES 100 DAYS
%{
paramUSDJPY = zeros(floor(length(USDJPY)/100),3);
for i = 0:(floor(length(USDJPY)/100)-1)
    paramUSDJPY(i+1,:) = (tarch(USDJPY(i*100+1:i*100+100)-mean(USDJPY(i*100+1:i*100+100)),1,0,1))';
end

paramOIL = zeros(floor(length(OIL)/100),3);
for i = 0:(floor(length(OIL)/100)-1)
    paramOIL(i+1,:) = (tarch(OIL(i*100+1:i*100+100)-mean(OIL(i*100+1:i*100+100)),1,0,1))';
end

paramSnP = zeros(floor(length(SnP)/100),3);
for i = 0:(floor(length(SnP)/100)-1)
    paramSnP(i+1,:) = (tarch(SnP(i*100+1:i*100+100)-mean(SnP(i*100+1:i*100+100)),1,0,1))';
end
%}


%%OVERLAPPING ESTIMATES 1000 DAYS
tic;
paramUSDJPY = zeros(length(USDJPY)-1000,3);
for i = 1001:length(USDJPY)
    paramUSDJPY(i-1000,:) = (tarch(USDJPY(i-1000:i)-mean(USDJPY(i-1000:i)),1,0,1,'NORMAL',2,[],optimset('Display','off')))';
end
toc;

tic;
paramOIL = zeros(length(OIL)-1000,3);
for i = 1001:length(OIL)
    paramOIL(i-1000,:) = (tarch(OIL(i-1000:i)-mean(OIL(i-1000:i)),1,0,1,'NORMAL',2,[],optimset('Display','off')))';
end
toc;

tic;
paramSnP = zeros(length(SnP)-1000,3);
for i = 1001:length(SnP)
    paramSnP(i-1000,:) = (tarch(SnP(i-1000:i)-mean(SnP(i-1000:i)),1,0,1,'NORMAL',2,[],optimset('Display','off')))';
end
toc;

save('garchParam.mat', 'paramUSDJPY' , 'paramOIL', 'paramSnP')