alphaVaR = 0.05;
lookback = 1000;
dataLength = 1000;

constant = [0.1];
archTerm = [0.1];
garchTerm = [0.9];

%resultsChristoffersen = zeros(length(constant), length(archTerm), length(garchTerm));
%resultsDQLogInt = zeros(length(constant), length(archTerm), length(garchTerm));
resultsWeibullCon = zeros(length(constant), length(archTerm), length(garchTerm));

counter = 0;

for i = 1 : length(constant)
   for j = 1 : length(archTerm)
       for k = 1 : length(garchTerm)
            disp(counter);
            counter = counter + 1;
           
           
            [returns var] = generateData('garchnormal', 'normal', alphaVaR, dataLength, lookback, 0, [constant(i), archTerm(j), garchTerm(k)]); %[constant, archTerm, garchTerm]

            %[returns var] = generateSeries(alphaVaR, dataLength);

            plot(returns);
            hold on;
            plot(-var, 'r');

            %disp('testChristoffersen');
            %resultsChristoffersen(i, j, k) = testChristoffersen(returns, var, alphaVaR, getDistribution('testChristoffersen', alphaVaR, dataLength, 50000,0), 0);
            %disp(testChristoffersen(returns, var, alphaVaR, getDistribution('testChristoffersen', alphaVaR, dataLength, 50000,0), 0));

            disp('testWeibullCon');
            %resultsWeibullCon(i, j, k) = testWeibullCon(returns, var, alphaVaR, getDistribution('testWeibullCon', alphaVaR, dataLength, 50000,0), 0);
            disp(testWeibullCon(returns, var, alphaVaR, getDistribution('testWeibullCon', alphaVaR, dataLength, 50000,0), 0));

            %disp('testWeibullDisc');
            %disp(testWeibullDisc(returns, var, alphaVaR, getDistribution('testWeibullDisc', alphaVaR, dataLength, 50000,0), 0));

            %disp('testDQLogInd');
            %resultsDQLogInd(i, j, k) = testDQLogInd(returns, var, alphaVaR, getDistribution('testDQLogInd', alphaVaR, dataLength, 50000,0), 0);
            %disp(testDQLogInd(returns, var, alphaVaR, getDistribution('testDQLogInd', alphaVaR, dataLength, 50000,0), 0));

            disp('testDQLogInt');
            disp(testDQLogInt(returns, var, alphaVaR, getDistribution('testDQLogInt', alphaVaR, dataLength, 200000,0), 0));
            
            %disp('breach');
            %disp(length(find(returns < -var))/dataLength);
            
        end
    end
end
