warning off all;

tic;

dist = getDistribution('testDQCC2',0.05,1500,50000,0);
dist=[];
%%{
counter = 0;
for i=1:1000
    nextStatistic = NaN;
    while isnan(nextStatistic)
        %[returns var] = generateSeries(0.04, 1500);
        [returns var] = generateData('garchnormal','garchnormal',0.05,10,1000,0,[0.01 0.05 0.94]);
        nextStatistic = testDQCC2(returns,var,0.05,[],0);
    end
    if(nextStatistic < 0.05)
    	counter = counter+1;
    end
end
toc
%%}
%{
phi = 0.50;
counter2 = 0;
for i=1:100
    nextStatistic = NaN;
    while isnan(nextStatistic)
        [returns var] = generateData('garchnormal', 'normal', 0.1, 100, 1000, [], [0.01, .45, .45]);
        nextStatistic = testWeibullCon(returns,var,0.1,dist,0);
    end
    if(nextStatistic < 0.05)
        counter2 = counter2+1;
    end
end
toc
%}

counter/1000
%counter2/100

warning on all;