
sims = 100000;
sigma = 1;
alpha = 0.1;
lookback = 5;

quantile = norminv(alpha);

nrConditions = 0;
nrBreach = 0;

parfor i=1:sims
    
    returns = normrnd(0, sigma, lookback + 2, 1);
    std0 = std( returns(1:end-2) );
    mean0 = mean(returns(1:end-2));
    
    if returns(end-1) < mean0 + std0*quantile
        
        nrConditions = nrConditions + 1;
        
        std0 = std( returns(2:end-1) );
        mean0 = mean( returns(2:end-1) );
        
        if returns(end) < mean0 + std0*quantile
            nrBreach = nrBreach + 1;
        end
        
    end
    
end
    
nrBreach
nrBreach / nrConditions