n = 10000;
dataLength = 10000;

stochasticDistribution = zeros(n, 1);
fixedDistribution = zeros(n, 1);

fixedP = 0.05;
sigma = 0.01;

for i=1:n
    
    percentiles1 = rand(dataLength, 1);    
    percentiles2 = rand(dataLength, 1); 
    stochasticPs = normrnd(fixedP, sigma, dataLength, 1);
    %stochasticPs = ones(dataLength, 1)*fixedP - fixedP / 4 + rand(dataLength, 1)*fixedP / 2;
    fixedPs = ones(dataLength, 1)*fixedP;
    
    stochasticDistribution(i) = sum( percentiles1 < stochasticPs);
    fixedDistribution(i) = sum( percentiles2 < fixedPs);
    
end
    

%stochMean = mean(stochasticDistribution)
%fixedMean = mean(fixedDistribution)
stochVar = var(stochasticDistribution)
fixedVar = var(fixedDistribution)