lookback = 50;
alpha = 0.05;
sigma = 1;
dataLength = 2;

sims = 10000000;
breachCount = 0;

parfor i=1:sims
    
    [r,v] = generateData('normal', 'normal', alpha, dataLength, lookback, 0, 0);
    breachCount = breachCount + (r(1) < - v(1));
    
end

observed = breachCount / sims
theoretical = tcdf( norminv(alpha) * sigma / sqrt( sigma^2 + sigma^2 / lookback), lookback - 1)



%% Wolfram Alpha
%% integrate ( 1 + 1/10  )^(-1/2) * (1/(2^(1/2) * gamma(1/2)) ) (x*(1+1/10)^(-1/2))^(1/2-1) * e^(-x*(1+1/10)^(-1/2)/2) * (gamma(9/2) - gamma(9/2, (x/0.3006)/2))/gamma(9/2) from x=0 to x=inf
%% with L
%% integrate (1+1/L)^(-1/2)*(1/(2^(1/2)*gamma(1/2)))(x*(1+1/L)^(-1/2))^(1/2-1)*e^(-x*(1+1/L)^(-1/2)/2)*(gamma((L-1)/2)-gamma((L-1)/2,(x/K)/2))/gamma((L-1)/2) from x=0 to x=inf