testName = {            'testDQLogCC',...
                        'testDQCC'};
%testName = 'testKupiec';
underlyingProcess = 'normal';
varProcess = 'normal';
alphaVar = 0.05;
alphaTest = 0.05;
lookback = 250;
dataLength = [100 250 500 750 1000 1250 1500];
if(isempty(storageCells))
    storageCells = getRunResults;
end

power = zeros(length(testName),length(dataLength));

for j = 1:length(dataLength)
    for i = 1:length(testName)
        [ powerFunctionZ, sims, V, Phi, P, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio] = getPowerFunction( testName{i}, underlyingProcess, varProcess, alphaVar, alphaTest, lookback, dataLength(j), storageCells );
        power(i,j) = powerFunctionZ;
    end
end

power = permute(power, [2, 1]);