function [ percentiles ] = prctile3( series, percentile, lookback )
%PRCTILE2 Summary of this function goes here
%   Detailed explanation goes here

    N = numel(series);
    L = lookback;
    P = numel(percentile);
    [~, maxP] = max(percentile);
    
    percentiles = ones(N-L, P)*Inf;
    C = 0;
       
    for i=L+1:N
        
               
        if((L >= i-C) && (series(i) > percentiles(i-L-1, maxP)))
            percentiles(i-L,:) = percentiles(i-L-1,:);
            continue;
        else
            percentiles(i-L, :) = prctile(series(i-L:i-1), percentile);
            C = find(series(i-L:i-1) <= percentiles(i-L, maxP), 1) + i-L;
        end
        
    end
    


end

