pValues = zeros(10000,8);
lookback = 100;
dataLength = 1500;

tinverse = tinv(0.05, lookback);

for i=1:length(pValues)
    
    returns = normrnd(0,1, lookback + dataLength, 1);    
    [varSeries, stdevs] = generateNormalVaR(returns, 0.10, lookback);
    pValues(i,1) = varSeries(1);
    pValues(i,2) = stdevs(1)^2;
    pValues(i,3) = stdevs(2)^2;
    pValues(i,4) = returns(lookback+1);
    pValues(i,5) = mean(returns(1:lookback));
    pValues(i,6) = sum(returns(1:lookback).^2)/lookback;
    pValues(i,7) = -tinverse*sqrt(pValues(i,6));
    pValues(i,8) = sum(returns(lookback+1:end) < - varSeries);
    
end


correction = sqrt(2)*gamma(lookback/2)/gamma((lookback-1)/2) / sqrt(lookback - 1);
correction = 1;

mu = sqrt(2)*(gamma(1/2)/beta((lookback-1)/2, 1/2));
sigma = (lookback-1) - mu^2;

tVar = 1/lookback + sigma*norminv(0.05,0,1)^2/mu^2
oVar = var(pValues(:,1))

%mu = -mean(pValues) / correction;


%normcdf(mu,0,1)