dataLength = 10000000;
%dataLength = 100;
lookback = 10000;
p = [0.01 0.05 0.10];

v = [4.9772 7.5223 10.9198 17.3397 36.1779 372.758; 2.561 2.8184 3.2175 3.9381 5.7888 30.3247; 2.764 3.1562 3.8073 5.1002 8.9443 77.6785];
bp = zeros(size(v));
ap = zeros(size(v));

for i = 1:size(v, 1)
    for j = 1:size(v, 2)
        [returns var] = generateData('studentt', 'normal', p(i), dataLength, lookback, v(i, j), 0);
        ap(i, j) = tcdf(norminv(p(i))*sqrt(v(i,j)/(v(i,j) - 2)) * 1, v(i, j));
        bp(i, j) = sum(returns < -var)/dataLength;       
    end
end

disp(v);
disp(ap);
disp(bp);