% runResults = getRunResults();

alphaVar = 0.05;
lookback = 1000;
dataLength = 1500;

distr = getDistribution('testDQCC', alphaVar, dataLength, 50000);

[ powerFunctionZ, sims, powerV, powerPhi, powerP, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio]  = getPowerFunction('testDQCC', 'uniform', 'normal', alphaVar, 0.05, lookback, dataLength, runResults);

powerFunctionZ2 = zeros(2, numel(powerP));
powerFunctionZ2(1,:) = powerFunctionZ(:,1);

for i = 1:numel(powerP)
    
    powerDist = statisticDistribution(i, 1, 1, :);
    reject = 0;
    N = 0;
    
    powerP(i)
    
    for stats = powerDist
   
        N = N + 1;
        
        stats2 = stats * alphaVar * (1 - alphaVar) / ( powerP(i) * (1 - powerP(i)) );
        
        if FindP(stats2, distr) < 0.05
            reject = reject + 1;
        end        
        
    end
    
    powerFunctionZ2(2, i) = reject / N;
    
end

plot(powerP, powerFunctionZ2(1,:), powerP, powerFunctionZ2(2,:))

