
sims = 10000;
pValues = zeros(sims, 2);
dataLength = 5000;
lookback = 100;

%distr = getDistribution('testWeibullCon', 0.01, 100, 50000);


for i=1:sims
    [returns, varSeries] = generateSeries(0.05, dataLength);
    pValues(i, 1) = sum(returns < -varSeries) / length(returns);
    [returns, varSeries] = generateData('normal', 'normal', 0.05, dataLength, lookback, 0, 0);
    pValues(i, 2) = sum(returns < -varSeries) / length(returns);
end


%{
for i=1:10000

    observedNrBreaches = binornd(1500, 0.05);
    expectedPropBreaches = 0.05;
    observedPropBreaches = observedNrBreaches / 1500;

    n0 = 1500 - observedNrBreaches;
    testStatistic = -2*( logFix(n0,1-expectedPropBreaches)+logFix(observedNrBreaches,expectedPropBreaches)-logFix(n0,1-observedPropBreaches)-logFix(observedNrBreaches,observedPropBreaches));

    pValues(i) =  FindP(testStatistic, distr);

end
%}