function [ result ] = debugTests(testStatisticsOutput, functionName, MCruns, alphaVar, alphaTest, dataLength)

counter = 0;
if(nargin == 1 || (nargin >= 3 && nargin <=5) || (nargin > 6 && nargin <=7) || nargin > 8)
     error ('debugTests: nargin can only be 2, 6 or 8');
elseif(nargin >= 2)
    fh = str2func(functionName);
    if(nargin == 2)
        MCruns=100;
        alphaVar = 0.05;
        alphaTest = 0.05;
        dataLength = 1000;
    end

warning off all;
%%
for j=1:MCruns
    returns = -ones(dataLength,1)*(alphaVar);
    varSeries = rand(dataLength,1);
    
    result = fh(returns, varSeries, alphaVar, [], testStatisticsOutput);
    
    if(testStatisticsOutput)
        counter=counter+result;
    elseif(~testStatisticsOutput && result < alphaTest)
        counter=counter+1;
    end
end
    warning on all;
    
    result = counter/MCruns;  
end
