dataLength = 1500;
lookback = 100;

values = zeros(10000,1);
pvalues = zeros(10000,1);

for i=1:length(values)
    
    returns = normrnd(0,1, lookback + dataLength, 1);
    
    varSeries = generateNormalVaR(returns, 0.05, lookback);
    values(i) = varSeries(1);
    pvalues(i) = sum(returns(lookback+1:lookback+dataLength) < -varSeries) / length(varSeries);
    
end

mu=sqrt(2)*gamma(1/2)/beta((lookback-1)/2,1/2);
sigma=1/lookback+(sqrt(2) * erfinv( 2* 0.01 - 1))^2*(lookback-1-mu^2)/mu^2

