function [ prob ] = testWeibullDiscProb( x, q, b, rightCensored )
%DISCRETEWEIBULL Summary of this function goes here
%   Detailed explanation goes here

q = max(min(q, 1), 0);

prob = 0;

if nargin == 4
    
    
    if x == 0
        
        prob = 1;
        
    else

        for i=0:(x-1)
            prob = prob + testWeibullDiscProb(i, q, b);
        end

        prob = 1 - prob;
        
    end
    
else
    
    prob = q^(x^b)-q^((x+1)^b);
    
end


end

