function [ pValue ] = FindP( x, distribution )

if(isnan(x))
    % error('FindP: test-statistics is NaN!');
    pValue = NaN;
    return;
end

%l = length( distribution );
%lessThan = length( find( distribution > x ) );
%equalTo = length( find( distribution == x ) );

%pValue = (lessThan + randi([0, equalTo], 1)) / l;

N = length( distribution );
lessThanEqual = length( find( distribution <= x ) );
equalTo = length( find( distribution == x ) );

pValue = (N - lessThanEqual + randi( [0, equalTo], 1) + 1)/(N + 1);

end

