simulations = 1000;
testSize = 100000;

alphaVaRs = [0.01 0.05 0.10];
fileNames = {'testDQLogInt'};
distributionNames = {'normcdf'};
degreesOfFreedom = [ 0 ];

%alphaVaRs = [0.01 0.05 0.10];
%fileNames = {'testChristoffersen'};
%distributionNames = {'chi2cdf'};
%degreesOfFreedom = [ 1 ];

pValues = zeros(size(alphaVaRs, 2) * size(fileNames, 2), 1);
testNames = cell(size(alphaVaRs, 2) * size(fileNames, 2), 1);
testAlphaVaRs = zeros(size(alphaVaRs, 2) * size(fileNames, 2), 1);
k = 1;

startAll = tic;

for i = 1 : size(alphaVaRs, 2)
    for j = 1 : size(fileNames, 2)
        disp([fileNames{j}, ' ', num2str(alphaVaRs(i))]);
        pValues(k) = asymptoticTest(fileNames{j}, alphaVaRs(i), testSize, simulations, distributionNames{j}, degreesOfFreedom(j));
        testNames{k} = fileNames{j};
        testAlphaVaRs(k) = alphaVaRs(i);
        k = k + 1;
    end
end

toc(startAll);