sims1 = 50000;
sims2 = 50002;

alphaVar = 0.01;
dataLength = 500;
testName = 'testDQLogCC';

dist1 = getDistribution(testName, alphaVar, dataLength, sims1);
dist2 = getDistribution(testName, alphaVar, dataLength, sims2);

M = round(max( [dist1; dist2] ));
F = @(x, dist) mean( dist <= x);

Y1 = zeros(1, M+1);
Y2 = zeros(1, M+1);


for i=0:M
    
  Y1(i+1) = F(i, dist1);  
  Y2(i+1) = F(i, dist2);

end

f = figure;
plot(0:M,Y1,0:M,Y2);