function [ report ] = generateDistributions( testFunctionName, alphaVaRs, testSizes, simulations )
%GENERATEDISTRIBUTIONS generates the distributions for all VaR-significance
%levels and all sample sizes for a given test

for i = 1:size(alphaVaRs, 2)
    alphaVaR = alphaVaRs(i);
    for j = 1:size(testSizes, 2)
        fprintf('Function: %s, alphaVaR: %f, testSize: %d \r\n', testFunctionName, alphaVaR, testSizes(j));
        getDistribution(testFunctionName, alphaVaR, testSizes(j), simulations, 1);
    end
end

report = 1;

end

