p = 0.05;
n=100000;
sims = 10000;

Bern = zeros(sims,1);
Gen = zeros(sims,1);

tic;

for i=1:sims
    hitBern = (rand(n,1) <= p);

    [ returns, varSeries ] = generateSeries( p, n );

    hitGen = returns<-varSeries;

    Bern(i) = sum(hitBern)/n;
    Gen(i) = sum(hitGen)/n;
end

hist(Bern-Gen)

toc;