function [ breaches ] = breachSeries(p, length)
    %breaches
    %   Returns a series of breaches (binary 0 or 1)

    breach = rand(1, length);
    findingBreaches = find(breach < p);
    breach = zeros(1, length);
    breach(findingBreaches) = 1;

    breaches = breach;
end

