function [ pEffective ] = getEffectiveP( p, dependence, length, times)
%GETEFFECTIVEP gives the effective probability of faliure given some p and
%some dependence probability.

    hat = zeros(times, 1);
    
    for j = 1:times
        breachSeries = zeros(length, 1);
        failureProb = p;
    
        for i = 1:size(breachSeries, 1)
            if(rand < failureProb)
               breachSeries(i) = 1;
               failureProb = max(0, min(1, p + dependence));
            else
               failureProb = p;
            end
        end
        hat(j) = sum(breachSeries)/length;
    end

    pEffective = mean(hat);


end

