function [ returns ] = getReturns(probabilities, length)
%TODO: Set the first breach-probability to the unconditional probability

    returnSeries = zeros(length, 1);
    j = size(probabilities, 2);
    firstBreach = false;
    
    sizeP = size(probabilities, 2);
    
    for i = 1:size(returnSeries, 1)
        failureProb = probabilities(j);
        if(rand < failureProb)
           returnSeries(i) = -1;
           j = 1;
           firstBreach = true;
        else
           if (firstBreach == false)
            j = sizeP;
           else
            j = min(j + 1, sizeP - 1);
           end
        end
    end
    
    returns = returnSeries;
    
end

