function [ varSeries ] = getVarSeries( probabilities, length )
%GETVARSERIES Summary of this function goes here
%   Detailed explanation goes here

    series = ones(length, 1);
    j = size(probabilities, 2);
    firstBreach = false;
    
    sizeP = size(probabilities, 2);
    
    for i = 1:size(series, 1)
        failureProb = probabilities(j);
        if(rand < failureProb)
           series(i) = 0;
           j = 1;
           firstBreach = true;
        else
           if (firstBreach == false)
            j = sizeP;
           else
            j = min(j + 1, sizeP - 1);
           end
        end
    end
    
    varSeries = series;
end

