function [ pValue ] = hTest( p0, p1, breaches, alpha )
% Does some test on the breaches series. Returns 1 for rejection and 0
% otherwise

    N = size(breaches, 2);

    X = size(find(breaches == 1), 2);
    E = p0 * N;
    
    if X > E
        upper = X;
        lower = 2*E - X;
    else
        lower = X;
        upper = 2*E - X;
    end
    
    pValue = binocdf(lower, N, p0) + 1 - binocdf(upper, N, p0);
  
end

