function [ storageCells ] = getRunResultsCBP()
%GETRUNRESULTS Summary of this function goes here
%   Detailed explanation goes here

    % Find all files matching criteria
    filePath = [fileparts(which('getRunResults')) , '/storedRuns/CBP/'];
    filePaths = [filePath, 'storageCell_Run_*.mat'];
    fileSearch = dir(filePaths);
    
    storageCells = cell( length(fileSearch), 1);
    
    for i=1:length(fileSearch)
        
        S = load([filePath, fileSearch(i).name]);
        storageCells{i} = S.storageCell;
                
    end 
    
end

