function [ ] = savePlots( figureHandles, name )
%SAVEPLOTS Summary of this function goes here
%   Detailed explanation goes here

    if nargin < 2
        name = '';
    end

    if(isstruct(figureHandles)) 
        
        fieldNames = fieldnames(figureHandles);
        
        for i=1:length(fieldNames)
            
            i = fieldNames{i};
            
            savePlots(getfield(figureHandles, i), [name, i, '.']);
            
        end
        
    else
        
        name = [name, 'png'];
        currentDir = fileparts(which('savePlots'));
        
        saveas(figureHandles, [currentDir, '/plots/', name]);
        
    end
        



end

