% data length
N = 100000;
S = 1;

% model estimation 
alphaVar = 0.10;    
lookback = 20;

% population
sigma = 1; 
mu = 0;     

lags = lookback + 20;
I = zeros(S,N);

parfor i=1:S
    [r, v] = generateData('normal', 'normal', alphaVar, N, lookback, 0, 0);
    I(i,:) = r < -v;
end
    
acf = zeros(lags, S);

%I2 = I - mean(I); % de-mean

%variance = mean(I2.^2);

parfor j=1:S
    I2 = shiftdim(I(j,:) - mean(I(j,:)),1);
    for i=1:lags
        acf(i, j) = (I2(1+i:end)'*I2(1:end-i))/(N-i);
    end
end


    








