% produces result table
% assuming Normal on Normal contained in normalResults
% assuming HS on Normal contained in hsResults

topHeader = cell(1, numel(tests) + 1);
topHeader(2:end) = tests;
topHeader(1) = {'L'};

leftHeader = cell(1, numel(lookback));

for i=1:numel(lookback)
    
    leftHeader{i} = num2str(lookback(i));
    
end

inTable = zeros(numel(lookback), numel(tests), 2 );

inTable(:,:,1) = mean(normalResults < alphaVar, 3);
inTable(:,:,2) = mean(hsResults < alphaVar, 3);

getLatexTable( inTable, leftHeader, topHeader, {'Normal VaR model', 'HS VaR model'}, 'caption', 'label', 'note');