testName = {            'testKupiec',...
                        'testChristoffersenCC',...
                        'testDQLogCC',...
                        'testGeometricCC'};
%testName = 'testKupiec';
underlyingProcess = 'garchstudentt';
varProcess = 'normal';
alphaVar = 0.05;
alphaTest = 0.05;
lookback = 250;
dataLength = 1500;
if(isempty(storageCells))
    storageCells = getRunResults;
end

power = zeros(length(testName),6,6);

for i = 1:length(testName)
    [ powerFunctionZ, sims, V, Phi, P, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio] = getPowerFunction( testName{i}, underlyingProcess, varProcess, alphaVar, alphaTest, lookback, dataLength, storageCells );
    power(i,:,:) = powerFunctionZ;
end

power2 = zeros(length(testName), 6);

underlyingProcess = 'garchnormal';

for i = 1:length(testName)
    [ powerFunctionZ, sims, V, Phi, P, statisticDistribution, notFeasibleRatio, notFeasibleThrownOutRatio] = getPowerFunction( testName{i}, underlyingProcess, varProcess, alphaVar, alphaTest, lookback, dataLength, storageCells );
    power2(i,:) = powerFunctionZ;
end

tex = permute(power, [3, 2, 1]);
tex2 = permute(power2, [2,1]);

latexForm = zeros(6, length(testName), 6);

for i = 1:6
    for j = 1:length(testName)
        latexForm(:, j, i) = tex(:, i, j);
    end
end

pow = latexForm(:,:,1);