k = 10000;
df = 30;

pvalues = zeros(k, 1);

for i = 1:k
    x = chi2rnd(df, 100, 1);
    x = chi2cdf(x, df);

    n = length(x);
    edges = linspace(0,1,11);
    expectedCounts = n * diff(edges);
    [h,p,st] = chi2gof(x,'edges',edges,...
                         'expected',expectedCounts);
    pvalues(i) = p;
end

hist(pvalues);