function [ returns ] = generateNGARCHt( dataLength, lookback, d, theta, beta, alpha, omega)
returns = zeros(dataLength + lookback + 2000,1);
stdOld = 1;
zOld = trnd(d);


for i = 1:length(returns)
    zNew = trnd(d);
    
    stdNew = square( omega + alpha*stdOld^2*(((d-2)/d)*zOld-theta)^2  + beta*stdOld^2 );
    returns(i) = stdNew * ((d-2)/d)^(1/2) * zNew;
    
    zOld = zNew;
    stdOld = stdNew;
end

returns = returns(2001:end);
end