function [ output_args ] = testGenerate(dataLength, lookback, alphaVaR)

returns = randn(dataLength+lookback,1)*1 + 0;

normalVar = generateNormalVaR(returns, alphaVaR, lookback);
hsVar = generateHistoricalVaR(returns, alphaVaR, lookback);

returns = returns(lookback : dataLength + lookback);

figure;
plot(returns);
title('normal VaR');
hold on;
plot(-normalVar, 'r');

figure;
plot(returns);
title('hs VaR');
hold on;
plot(-hsVar, 'r');

output_args = 1;
end
